Subject: Help: Programable outputs

From: [email-masked] (Scott Schlachter)
Date: Wed, 4 Dec 96 13:30:44 PST

Ibis folks,

I guess this question is mainly aimed at the simulation vendor folks, 
but feedback is welcome from everyone:
(Our products are programmable logic devices, for those who are not 
familiar with Actel)

For a component that has a programable behavior for the I/O pins, what 
might be the preferred way of presenting the data for the different 
possible configurations?  Specifically, let's say that a pin can be 
programmed to be either:
	1) Tristateable I/O with a fast slew rate
	2)  "		 "    "  " slow slew rate
	3) Open Drain output (data input to the output buffer is 
	        programmed to be tied to the enable of the buffer)

Would it be better to actually make a main IBIS file that contains all
of the I/Os in condition (1),  with 2 extra IBIS files that contain only 
one pin in them each for conditions (2) and (3)?  Or, perhaps only make 
one IBIS file with all of the pins configured in condition (1) and 
commented out sections for conditions (2) and (3).  Or, even another
possibility of dividing the I/Os into 3 equal sections, one for each 
configuration?  All comments/suggestions welcome, and please forgive me
if this has been discussed already.  Thanks,
-Scott Schlachter
 [email-masked]
 Actel Corporation
 Sunnyvale, CA.

---

From: [email-masked] (Syed Huq)
Date: Wed, 4 Dec 96 16:29:10 PST

Scott,

I have a device with a programmble slew rate spec. Slew rate is controlled
by an external pin tied to a variable resistor. There are may ways to do this
until we see Arpad's BIRD30.2(Programmable Buffer)in IBIS3.0. So,we have to figure
work arounds til then.

I added ALL the possible buffer combinations in ONE IBIS model file. THen thru
the pin list, I comment out the model names I do not need to run. This manual 
commenting and uncommenting of model names need to be explained up on top 
under [Notes] for a customer to understand what to do.

Best Regards,
Syed.
National Semiconductor Corp.

---

From: Arpad Muranyi <[email-masked]>
Date: Wed, 04 Dec 96 14:28:00 PST

Text item: 

Scott,

BIRD30.2 addresses the problem you have.  Hopefully it will be implemented in 
IBIS3.0 soon.  Untill then, in our models we use comments.  Spceifically, I put 
everything that is legal in BIRD30.2 into the IBIS file with comment characters 
in front of each line.  This and an explanation gives enough information to the 
user to know how to edit the IBIS file for the various conditions.  When IBIS3.0
arrives, all they need to do is to rmove the comment characters.

Arpad
===============================================================================

Ibis folks,

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Subject: Help: Programable outputs
To: [email-masked], [email-masked]
From: [email-masked] (Scott Schlachter)
Date: Wed, 4 Dec 96 13:30:44 PST
.7.3/8.7.3) with SMTP id NAA17598; Wed, 4 Dec 1996 13:40:39 -0800 (PST)
Received: from vhdl.vhdl.org (vhdl.vhdl.org [198.31.14.3]) by ormail.intel.com (
8.8.3/8.7.3) with ESMTP id NAA19804; Wed, 4 Dec 1996 13:36:55 -0800 (PST)
Received: from ormail.intel.com (ormail.intel.com [134.134.248.3]) by relay.jf.i
ntel.com (8.8.2/8.7.3) with ESMTP id NAA10202; Wed, 4 Dec 1996 13:37:03 -0800 (P
ST)
Return-Path: [email-masked]